Bug 1119427 - Could not get SMIL playlist
Summary: Could not get SMIL playlist
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ctstream
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 18:42 UTC by Matěj Cepl
Modified: 2018-04-11 15:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:55:37 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2014-07-14 18:42:59 UTC
Description of problem:
matej@wycliff: ~$ rpm -q ctstream
ctstream-21-1.el7.noarch
matej@wycliff: ~$ ctstream http://www.ceskatelevize.cz/ivysilani/10111864738-hercule-poirot/211381467540011-smrt-na-mysu-1-cast/
Could not get SMIL playlist from <errorSOAP looks like we got no XML document>: 400 URL must be absolute
matej@wycliff: ~$

Comment 1 Matěj Cepl 2014-07-14 18:45:35 UTC
But it is somehow intermittent:

matej@wycliff: ~$ ctstream http://www.ceskatelevize.cz/ivysilani/10111864738-hercule-poirot/207381458160004-posledni-vikend
2000: rtmp://wcdn18.nacevi.cz/ app=ct-vod/_definst_?id=HRvf2449ZFMApf81-01&publisher=lss playpath=mp4:iVysilani/2014/07/10/HerculePoirotCT-100714-MP4_576p.mp4
1000: rtmp://wcdn18.nacevi.cz/ app=ct-vod/_definst_?id=HRvf2449ZFMApf81-01&publisher=lss playpath=mp4:iVysilani/2014/07/10/HerculePoirotCT-100714-MP4_404p.mp4
500: rtmp://wcdn18.nacevi.cz/ app=ct-vod/_definst_?id=HRvf2449ZFMApf81-01&publisher=lss playpath=mp4:iVysilani/2014/07/10/HerculePoirotCT-100714-MP4_288p.mp4
matej@wycliff: ~$ ctstream -d http://www.ceskatelevize.cz/ivysilani/10111864738-hercule-poirot/207381458160004-posledni-vikend 1000
Could not get SMIL playlist from <>: 400 URL missing
matej@wycliff: ~$ ctstream http://www.ceskatelevize.cz/ivysilani/10111864738-hercule-poirot/207381458160004-posledni-vikend
Could not get SMIL playlist from <>: 400 URL missing
matej@wycliff: ~$

Comment 2 Matěj Cepl 2014-07-14 18:48:25 UTC
It seems like after a couple of attempts ctstream "se chytí", but not sure why.

Comment 3 Petr Pisar 2014-07-15 07:44:40 UTC
These are intermittent, but frequent, hiccups on the server. If you run the command with `-v' option to get debugging output, you can the "errorSOAP looks like we got no XML document" text comes from the server.

I could check the should-be-URL for URI grammar and die sooner.

I believe this happens if you request the server for a video that is not yet cached, so the server returns gibberish instead of blocking until the video becomes ready or returning proper non-2xx code.

Comment 4 Jaroslav Reznik 2015-03-03 17:02:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora End Of Life 2016-07-19 11:55:37 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.